
enabled: true

frontendApplication:
  enabled: true
  type: frontend
  accessmode: public
  manifest:
    # AppFullName vs AppShortName for frontend applications
    cmii-uav-platform:
      shortname: ""
    cmii-uav-platform-ai-brain:
      shortname: "ai-brain"
      ai-brain-dev: APP_i6mlNKODBo42OIVn
      ai-brain-test: APP_0BF17ayVaSpY89O4
      ai-brain-feature: APP_0BF17ayVaSpY89O4
      ai-brain-devbase: APP_0BF17ayVaSpY89O4
      ai-brain-uat: APP_kZeiSXxg9qZxj6ue
      ai-brain-demo: APP_0BF17ayVaSpY89O4
      ai-brain-outside: APP_0BF17ayVaSpY89O4 # this is actually outside works, copy from demo
    cmii-uav-platform-hyperspectral:
      shortname: "hyper"
      hyper-dev: APP_CN713PC4qwViGj1d
      hyper-test: APP_xtN9XF2L1J4IRHaB
      hyper-devbase: APP_xtN9XF2L1J4IRHaB
      hyper-feature: APP_xtN9XF2L1J4IRHaB
      hyper-uat: APP_OT4l1kYrzWT4tiif
      hyper-demo: APP_xtN9XF2L1J4IRHaB
      hyper-outside: APP_xtN9XF2L1J4IRHaB # this is actually outside works, copy from demo
    cmii-uav-platform-mws:
      shortname: "mws"
      mws-dev: APP_4lVSVI0ZGxTssir8
      mws-test: APP_MEeBJHp1fSVD1Wuw
      mws-devbase: APP_MEeBJHp1fSVD1Wuw
      mws-feature: APP_MEeBJHp1fSVD1Wuw
      mws-uat: APP_U4GEiHutGQL5prSP
      mws-demo: APP_MEeBJHp1fSVD1Wuw
      mws-outside: APP_MEeBJHp1fSVD1Wuw # this is actually outside works, copy from demo
    cmii-uav-platform-mws-admin:
      shortname: "mws-admin"
    cmii-uav-platform-oms:
      shortname: "oms"
    cmii-uav-platform-cms:
      shortname: "cms"
    cmii-uav-platform-cms-portal:
      shortname: "cmsportal"
    cmii-uav-platform-open:
      shortname: "open"
    cmii-uav-platform-splice:
      shortname: "splice"
      splice-dev: APP_bYdlPsBBIncZdaYR
      splice-test: APP_l4HIMixfIXhlCTi9
      splice-devbase: APP_l4HIMixfIXhlCTi9
      splice-feature: APP_l4HIMixfIXhlCTi9
      splice-uat: APP
      splice-demo: APP_l4HIMixfIXhlCTi9
      splice-outside: APP_l4HIMixfIXhlCTi9  # this is actually outside works, copy from demo
    cmii-uav-platform-splice-visual:
      shortname: "splice-visual"
    cmii-uav-platform-detection:
      shortname: "detection"
      detectiondemo: APP_3RmcJaecdbsvQwZn
      detection-outside: APP_3RmcJaecdbsvQwZn  # this is actually outside works, copy from demo
    cmii-uav-platform-security:
      shortname: "security"
      security-demo: APP_JUSEMc7afyWXxvE7
      security-outside: APP_JUSEMc7afyWXxvE7  # this is actually outside works, copy from demo
    cmii-uav-platform-visualization:
      shortname: "visualization"
      visualization-demo:
      visualization-outside:   # this is actually outside works, copy from demo
    cmii-uav-platform-logistics: # 医疗物流
      shortname: "logistics"
      logistics-demo: APP_PvdfRRRBPL8xbIwl
      logistics-outside: APP_PvdfRRRBPL8xbIwl
    cmii-uav-platform-share: # 分享
      shortname: "share"
      share-demo: APP_4lVSVI0ZGxTssir8
      share-outside: APP_4lVSVI0ZGxTssir8
    cmii-uav-platform-base:   # 基础版
      shortname: "base"
      base-demo: APP_9LY41OaKSqk2btY0
      base-outside: APP_9LY41OaKSqk2btY0 # this is actually outside works, copy from demo
    cmii-uav-platform-traffic-screen: # 交通管理
      shortname: "traffic"
      traffic-demo: APP_jf04PerIBiDeRO6l
      traffic-outside: APP_jf04PerIBiDeRO6l
    cmii-uav-platform-emergency-rescue: #应急保障
      shortname: "emergency"
      emergency-demo: APP_aGsTAY1uMZrpKdfk
      emergency-outside: APP_aGsTAY1uMZrpKdfk
    cmii-suav-platform-airspace: # 政府监管
      shortname: "supervision"
      emergency-demo: APP_qqSu82THfexI8PLM
      emergency-outside: APP_qqSu82THfexI8PLM


backendApplication:
  enabled: true
  type: backend
  # this ingress is for swagger url, CI/CD url,they can only be accessed only by internal network
  accessmode: internal
  manifest:
    # all backend applications
    cmii-admin-data: false
    cmii-admin-user: false
    cmii-uav-airspace: false
    cmii-uav-brain: false
    cmii-uav-clusters: false
    cmii-uav-data-post-process: false
    cmii-uav-developer: false
    cmii-uav-device: false
    cmii-uav-kpi-monitor: false
    cmii-uav-live: false
    cmii-uav-logger: false
    cmii-uav-mission: false
    cmii-uav-monitor: false
    cmii-uav-mqtthandler: false
    cmii-uav-notice: false
    cmii-uav-oauth: false
    cmii-uav-process: false
    cmii-uav-security-system: false
    cmii-uav-surveillance: false
    cmii-uav-user: false
    cmii-uav-waypoint: false
    cmii-uav-cms: false
    cmii-uav-industrial-portfolio: false
    cmii-project-minio: false
    cmii-uav-material-warehouse: false
    cmii-uav-gateway: false
    cmii-open-gateway: false
    cmii-admin-gateway: false

apiGatewayApplication:
  enabled: true
  type: "api-gateway"
  # this ingress is for apis and gateways
  accessmode: pulic
  manifest:
    # all applications need to expose api/gateway to public network
    #    cmii-project-minio: false # deprecated
    cmii-uav-material-warehouse: true
    cmii-uav-gateway: false
    cmii-open-gateway: false
    cmii-admin-gateway: false





